VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::cis::tagging::Tag Interface Reference

The `Tag` interface provides methods to create, read, update, delete, and enumerate tags. More...

Inherited by vmware::cis::tagging::TagStub.

List of all members.

## Public Member Functions
string | Create (vmware.cis.tagging.TagTypes.CreateSpec createSpec)
| Creates a tag.
string | Create (vmware.cis.tagging.TagTypes.CreateSpec createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a tag.
global::System.Threading.Tasks.Task < string > | CreateAsync (vmware.cis.tagging.TagTypes.CreateSpec createSpec)
| Creates a tag.
global::System.Threading.Tasks.Task < string > | CreateAsync (vmware.cis.tagging.TagTypes.CreateSpec createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a tag.
vmware.cis.tagging.TagModel | Get (string tagId)
| Fetches the tag information for the given tag identifier.
vmware.cis.tagging.TagModel | Get (string tagId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Fetches the tag information for the given tag identifier.
global::System.Threading.Tasks.Task < vmware.cis.tagging.TagModel > | GetAsync (string tagId)
| Fetches the tag information for the given tag identifier.
global::System.Threading.Tasks.Task < vmware.cis.tagging.TagModel > | GetAsync (string tagId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Fetches the tag information for the given tag identifier.
void | Update (string tagId, vmware.cis.tagging.TagTypes.UpdateSpec updateSpec)
| Updates an existing tag.
void | Update (string tagId, vmware.cis.tagging.TagTypes.UpdateSpec updateSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates an existing tag.
global::System.Threading.Tasks.Task | UpdateAsync (string tagId, vmware.cis.tagging.TagTypes.UpdateSpec updateSpec)
| Updates an existing tag.
global::System.Threading.Tasks.Task | UpdateAsync (string tagId, vmware.cis.tagging.TagTypes.UpdateSpec updateSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates an existing tag.
void | Delete (string tagId)
| Deletes an existing tag.
void | Delete (string tagId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes an existing tag.
global::System.Threading.Tasks.Task | DeleteAsync (string tagId)
| Deletes an existing tag.
global::System.Threading.Tasks.Task | DeleteAsync (string tagId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes an existing tag.
global::System.Collections.Generic.List < string > | List ()
| Enumerates the tags in the system.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Enumerates the tags in the system.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Enumerates the tags in the system.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Enumerates the tags in the system.
global::System.Collections.Generic.List < string > | ListUsedTags (string usedByEntity)
| Enumerates all tags for which the usedByEntity is part of the TagModel.usedBy subscribers set.
global::System.Collections.Generic.List < string > | ListUsedTags (string usedByEntity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Enumerates all tags for which the usedByEntity is part of the TagModel.usedBy subscribers set.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListUsedTagsAsync (string usedByEntity)
| Enumerates all tags for which the usedByEntity is part of the TagModel.usedBy subscribers set.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListUsedTagsAsync (string usedByEntity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Enumerates all tags for which the usedByEntity is part of the TagModel.usedBy subscribers set.
global::System.Collections.Generic.List < string > | ListTagsForCategory (string categoryId)
| Enumerates all tags for the given category.
global::System.Collections.Generic.List < string > | ListTagsForCategory (string categoryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Enumerates all tags for the given category.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListTagsForCategoryAsync (string categoryId)
| Enumerates all tags for the given category.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListTagsForCategoryAsync (string categoryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Enumerates all tags for the given category.
void | AddToUsedBy (string tagId, string usedByEntity)
| Adds the usedByEntity to the TagModel.usedBy subscribers set.
void | AddToUsedBy (string tagId, string usedByEntity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds the usedByEntity to the TagModel.usedBy subscribers set.
global::System.Threading.Tasks.Task | AddToUsedByAsync (string tagId, string usedByEntity)
| Adds the usedByEntity to the TagModel.usedBy subscribers set.
global::System.Threading.Tasks.Task | AddToUsedByAsync (string tagId, string usedByEntity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds the usedByEntity to the TagModel.usedBy subscribers set.
void | RemoveFromUsedBy (string tagId, string usedByEntity)
| Removes the usedByEntity from the TagModel.usedBy subscribers set.
void | RemoveFromUsedBy (string tagId, string usedByEntity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes the usedByEntity from the TagModel.usedBy subscribers set.
global::System.Threading.Tasks.Task | RemoveFromUsedByAsync (string tagId, string usedByEntity)
| Removes the usedByEntity from the TagModel.usedBy subscribers set.
global::System.Threading.Tasks.Task | RemoveFromUsedByAsync (string tagId, string usedByEntity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes the usedByEntity from the TagModel.usedBy subscribers set.
void | RevokePropagatingPermissions (string tagId)
| Revokes all propagating permissions on the given tag.
void | RevokePropagatingPermissions (string tagId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Revokes all propagating permissions on the given tag.
global::System.Threading.Tasks.Task | RevokePropagatingPermissionsAsync (string tagId)
| Revokes all propagating permissions on the given tag.
global::System.Threading.Tasks.Task | RevokePropagatingPermissionsAsync (string tagId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Revokes all propagating permissions on the given tag.

## Detailed Description

The `Tag` interface provides methods to create, read, update, delete, and enumerate tags.

## Member Function Documentation

void vmware::cis::tagging::Tag::AddToUsedBy | ( | string | tagId,
|  | string | usedByEntity
| ) |  |

Adds the usedByEntity to the TagModel.usedBy subscribers set.

If the usedByEntity is already in the set, then this becomes a no-op. To invoke this method, you need the modify TagModel.usedBy privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to add an entity to the TagModel.usedBy field.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  usedByEntity | The name of the user to be added to the TagModel.usedBy set.

Implemented in vmware::cis::tagging::TagStub.

void vmware::cis::tagging::Tag::AddToUsedBy | ( | string | tagId,
|  | string | usedByEntity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Adds the usedByEntity to the TagModel.usedBy subscribers set.

If the usedByEntity is already in the set, then this becomes a no-op. To invoke this method, you need the modify TagModel.usedBy privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to add an entity to the TagModel.usedBy field.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  usedByEntity | The name of the user to be added to the TagModel.usedBy set.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task vmware::cis::tagging::Tag::AddToUsedByAsync | ( | string | tagId,
|  | string | usedByEntity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Adds the usedByEntity to the TagModel.usedBy subscribers set.

If the usedByEntity is already in the set, then this becomes a no-op. To invoke this method, you need the modify TagModel.usedBy privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to add an entity to the TagModel.usedBy field.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  usedByEntity | The name of the user to be added to the TagModel.usedBy set.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task vmware::cis::tagging::Tag::AddToUsedByAsync | ( | string | tagId,
|  | string | usedByEntity
| ) |  |

Adds the usedByEntity to the TagModel.usedBy subscribers set.

If the usedByEntity is already in the set, then this becomes a no-op. To invoke this method, you need the modify TagModel.usedBy privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to add an entity to the TagModel.usedBy field.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  usedByEntity | The name of the user to be added to the TagModel.usedBy set.

Implemented in vmware::cis::tagging::TagStub.

string vmware::cis::tagging::Tag::Create | ( | vmware.cis.tagging.TagTypes.CreateSpec | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Creates a tag.

To invoke this method, you need the create tag privilege on the input category.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Tag.CreateSpec.name provided in the createSpec is the name of an already existing tag in the input category.
  vmware.vapi.std.errors.InvalidArgument | if any of the input information in the createSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the category for in the given createSpec does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to create tag.

Parameters:

  createSpec | Specification for the new tag to be created.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The identifier of the created tag. The result will be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

string vmware::cis::tagging::Tag::Create | ( | vmware.cis.tagging.TagTypes.CreateSpec | createSpec | ) |

Creates a tag.

To invoke this method, you need the create tag privilege on the input category.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Tag.CreateSpec.name provided in the createSpec is the name of an already existing tag in the input category.
  vmware.vapi.std.errors.InvalidArgument | if any of the input information in the createSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the category for in the given createSpec does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to create tag.

Parameters:

  createSpec | Specification for the new tag to be created.

Returns:
  The identifier of the created tag. The result will be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task<string> vmware::cis::tagging::Tag::CreateAsync | ( | vmware.cis.tagging.TagTypes.CreateSpec | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Creates a tag.

To invoke this method, you need the create tag privilege on the input category.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Tag.CreateSpec.name provided in the createSpec is the name of an already existing tag in the input category.
  vmware.vapi.std.errors.InvalidArgument | if any of the input information in the createSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the category for in the given createSpec does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to create tag.

Parameters:

  createSpec | Specification for the new tag to be created.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The identifier of the created tag. The result will be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task<string> vmware::cis::tagging::Tag::CreateAsync | ( | vmware.cis.tagging.TagTypes.CreateSpec | createSpec | ) |

Creates a tag.

To invoke this method, you need the create tag privilege on the input category.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Tag.CreateSpec.name provided in the createSpec is the name of an already existing tag in the input category.
  vmware.vapi.std.errors.InvalidArgument | if any of the input information in the createSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the category for in the given createSpec does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to create tag.

Parameters:

  createSpec | Specification for the new tag to be created.

Returns:
  The identifier of the created tag. The result will be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

void vmware::cis::tagging::Tag::Delete | ( | string | tagId | ) |

Deletes an existing tag.

To invoke this method, you need the delete privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to delete the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

void vmware::cis::tagging::Tag::Delete | ( | string | tagId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Deletes an existing tag.

To invoke this method, you need the delete privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to delete the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task vmware::cis::tagging::Tag::DeleteAsync | ( | string | tagId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Deletes an existing tag.

To invoke this method, you need the delete privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to delete the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task vmware::cis::tagging::Tag::DeleteAsync | ( | string | tagId | ) |

Deletes an existing tag.

To invoke this method, you need the delete privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to delete the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

vmware.cis.tagging.TagModel vmware::cis::tagging::Tag::Get | ( | string | tagId | ) |

Fetches the tag information for the given tag identifier.

To invoke this method, you need the read privilege on the tag in order to view the tag info.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if the user does not have the privilege to read the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

Returns:
  The TagModel that corresponds to tagId .

Implemented in vmware::cis::tagging::TagStub.

vmware.cis.tagging.TagModel vmware::cis::tagging::Tag::Get | ( | string | tagId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Fetches the tag information for the given tag identifier.

To invoke this method, you need the read privilege on the tag in order to view the tag info.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if the user does not have the privilege to read the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The TagModel that corresponds to tagId .

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task<vmware.cis.tagging.TagModel> vmware::cis::tagging::Tag::GetAsync | ( | string | tagId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Fetches the tag information for the given tag identifier.

To invoke this method, you need the read privilege on the tag in order to view the tag info.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if the user does not have the privilege to read the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The TagModel that corresponds to tagId .

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task<vmware.cis.tagging.TagModel> vmware::cis::tagging::Tag::GetAsync | ( | string | tagId | ) |

Fetches the tag information for the given tag identifier.

To invoke this method, you need the read privilege on the tag in order to view the tag info.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if the user does not have the privilege to read the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

Returns:
  The TagModel that corresponds to tagId .

Implemented in vmware::cis::tagging::TagStub.

global::System.Collections.Generic.List<string> vmware::cis::tagging::Tag::List | ( |  | ) |

Enumerates the tags in the system.

To invoke this method, you need read privilege on the individual tags. The list will only contain tags for which you have read privileges.

Returns:
  The list of resource identifiers for the tags in the system. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

global::System.Collections.Generic.List<string> vmware::cis::tagging::Tag::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Enumerates the tags in the system.

To invoke this method, you need read privilege on the individual tags. The list will only contain tags for which you have read privileges.

Returns:
  The list of resource identifiers for the tags in the system. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::cis::tagging::Tag::ListAsync | ( |  | ) |

Enumerates the tags in the system.

To invoke this method, you need read privilege on the individual tags. The list will only contain tags for which you have read privileges.

Returns:
  The list of resource identifiers for the tags in the system. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::cis::tagging::Tag::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Enumerates the tags in the system.

To invoke this method, you need read privilege on the individual tags. The list will only contain tags for which you have read privileges.

Returns:
  The list of resource identifiers for the tags in the system. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

global::System.Collections.Generic.List<string> vmware::cis::tagging::Tag::ListTagsForCategory | ( | string | categoryId | ) |

Enumerates all tags for the given category.

To invoke this method, you need the read privilege on the given category and the individual tags in that category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the category.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

Returns:
  The list of resource identifiers for the tags in the given input category. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

global::System.Collections.Generic.List<string> vmware::cis::tagging::Tag::ListTagsForCategory | ( | string | categoryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Enumerates all tags for the given category.

To invoke this method, you need the read privilege on the given category and the individual tags in that category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the category.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of resource identifiers for the tags in the given input category. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::cis::tagging::Tag::ListTagsForCategoryAsync | ( | string | categoryId | ) |

Enumerates all tags for the given category.

To invoke this method, you need the read privilege on the given category and the individual tags in that category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the category.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

Returns:
  The list of resource identifiers for the tags in the given input category. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::cis::tagging::Tag::ListTagsForCategoryAsync | ( | string | categoryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Enumerates all tags for the given category.

To invoke this method, you need the read privilege on the given category and the individual tags in that category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the category.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of resource identifiers for the tags in the given input category. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

global::System.Collections.Generic.List<string> vmware::cis::tagging::Tag::ListUsedTags | ( | string | usedByEntity | ) |

Enumerates all tags for which the usedByEntity is part of the TagModel.usedBy subscribers set.

To invoke this method, you need the read privilege on the individual tags.

Parameters:

  usedByEntity | The field on which the results will be filtered.

Returns:
  The list of resource identifiers for the tags in the system that are used by usedByEntity . The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

global::System.Collections.Generic.List<string> vmware::cis::tagging::Tag::ListUsedTags | ( | string | usedByEntity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Enumerates all tags for which the usedByEntity is part of the TagModel.usedBy subscribers set.

To invoke this method, you need the read privilege on the individual tags.

Parameters:

  usedByEntity | The field on which the results will be filtered.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of resource identifiers for the tags in the system that are used by usedByEntity . The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::cis::tagging::Tag::ListUsedTagsAsync | ( | string | usedByEntity | ) |

Enumerates all tags for which the usedByEntity is part of the TagModel.usedBy subscribers set.

To invoke this method, you need the read privilege on the individual tags.

Parameters:

  usedByEntity | The field on which the results will be filtered.

Returns:
  The list of resource identifiers for the tags in the system that are used by usedByEntity . The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::cis::tagging::Tag::ListUsedTagsAsync | ( | string | usedByEntity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Enumerates all tags for which the usedByEntity is part of the TagModel.usedBy subscribers set.

To invoke this method, you need the read privilege on the individual tags.

Parameters:

  usedByEntity | The field on which the results will be filtered.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of resource identifiers for the tags in the system that are used by usedByEntity . The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

void vmware::cis::tagging::Tag::RemoveFromUsedBy | ( | string | tagId,
|  | string | usedByEntity
| ) |  |

Removes the usedByEntity from the TagModel.usedBy subscribers set.

If the usedByEntity is not using this tag, then this becomes a no-op. To invoke this method, you need modify TagModel.usedBy privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to remove an entity from the TagModel.usedBy field.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  usedByEntity | The name of the user to be removed from the TagModel.usedBy set.

Implemented in vmware::cis::tagging::TagStub.

void vmware::cis::tagging::Tag::RemoveFromUsedBy | ( | string | tagId,
|  | string | usedByEntity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Removes the usedByEntity from the TagModel.usedBy subscribers set.

If the usedByEntity is not using this tag, then this becomes a no-op. To invoke this method, you need modify TagModel.usedBy privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to remove an entity from the TagModel.usedBy field.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  usedByEntity | The name of the user to be removed from the TagModel.usedBy set.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task vmware::cis::tagging::Tag::RemoveFromUsedByAsync | ( | string | tagId,
|  | string | usedByEntity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Removes the usedByEntity from the TagModel.usedBy subscribers set.

If the usedByEntity is not using this tag, then this becomes a no-op. To invoke this method, you need modify TagModel.usedBy privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to remove an entity from the TagModel.usedBy field.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  usedByEntity | The name of the user to be removed from the TagModel.usedBy set.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task vmware::cis::tagging::Tag::RemoveFromUsedByAsync | ( | string | tagId,
|  | string | usedByEntity
| ) |  |

Removes the usedByEntity from the TagModel.usedBy subscribers set.

If the usedByEntity is not using this tag, then this becomes a no-op. To invoke this method, you need modify TagModel.usedBy privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to remove an entity from the TagModel.usedBy field.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  usedByEntity | The name of the user to be removed from the TagModel.usedBy set.

Implemented in vmware::cis::tagging::TagStub.

void vmware::cis::tagging::Tag::RevokePropagatingPermissions | ( | string | tagId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Revokes all propagating permissions on the given tag.

You should then attach a direct permission with tagging privileges on the given tag. To invoke this method, you need tag related privileges (direct or propagating) on the concerned tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to revoke propagating permissions on the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::cis::tagging::TagStub.

void vmware::cis::tagging::Tag::RevokePropagatingPermissions | ( | string | tagId | ) |

Revokes all propagating permissions on the given tag.

You should then attach a direct permission with tagging privileges on the given tag. To invoke this method, you need tag related privileges (direct or propagating) on the concerned tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to revoke propagating permissions on the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task vmware::cis::tagging::Tag::RevokePropagatingPermissionsAsync | ( | string | tagId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Revokes all propagating permissions on the given tag.

You should then attach a direct permission with tagging privileges on the given tag. To invoke this method, you need tag related privileges (direct or propagating) on the concerned tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to revoke propagating permissions on the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task vmware::cis::tagging::Tag::RevokePropagatingPermissionsAsync | ( | string | tagId | ) |

Revokes all propagating permissions on the given tag.

You should then attach a direct permission with tagging privileges on the given tag. To invoke this method, you need tag related privileges (direct or propagating) on the concerned tag.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to revoke propagating permissions on the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagStub.

void vmware::cis::tagging::Tag::Update | ( | string | tagId,
|  | vmware.cis.tagging.TagTypes.UpdateSpec | updateSpec
| ) |  |

Updates an existing tag.

To invoke this method, you need the edit privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Tag.UpdateSpec.name provided in the updateSpec is the name of an already existing tag in the same category.
  vmware.vapi.std.errors.InvalidArgument | if any of the input information in the updateSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to update the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  updateSpec | Specification to update the tag.

Implemented in vmware::cis::tagging::TagStub.

void vmware::cis::tagging::Tag::Update | ( | string | tagId,
|  | vmware.cis.tagging.TagTypes.UpdateSpec | updateSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Updates an existing tag.

To invoke this method, you need the edit privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Tag.UpdateSpec.name provided in the updateSpec is the name of an already existing tag in the same category.
  vmware.vapi.std.errors.InvalidArgument | if any of the input information in the updateSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to update the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  updateSpec | Specification to update the tag.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task vmware::cis::tagging::Tag::UpdateAsync | ( | string | tagId,
|  | vmware.cis.tagging.TagTypes.UpdateSpec | updateSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Updates an existing tag.

To invoke this method, you need the edit privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Tag.UpdateSpec.name provided in the updateSpec is the name of an already existing tag in the same category.
  vmware.vapi.std.errors.InvalidArgument | if any of the input information in the updateSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to update the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  updateSpec | Specification to update the tag.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::cis::tagging::TagStub.

global::System.Threading.Tasks.Task vmware::cis::tagging::Tag::UpdateAsync | ( | string | tagId,
|  | vmware.cis.tagging.TagTypes.UpdateSpec | updateSpec
| ) |  |

Updates an existing tag.

To invoke this method, you need the edit privilege on the tag.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Tag.UpdateSpec.name provided in the updateSpec is the name of an already existing tag in the same category.
  vmware.vapi.std.errors.InvalidArgument | if any of the input information in the updateSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to update the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  updateSpec | Specification to update the tag.

Implemented in vmware::cis::tagging::TagStub.

The documentation for this interface was generated from the following file:

- Tag.cs